# older opencdk forgot to bundle m4 file
%define opencdk_version 0.6.0
%define libgcrypt_version 1.2.4

%define major 26
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	2.10.5
%define subrel 1
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://www.gnutls.org
Source0:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		gnutls-2.10.5-CVE-2011-4128.patch
Patch1: gnutls-2.10.x-0f3660f.patch
Patch2: gnutls-2.10.x-1f69104.patch
Patch3: gnutls-2.10.x-78e0209.patch
BuildRequires:	opencdk-devel >= %{opencdk_version}
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}
BuildRequires:	libtasn1-devel >= 0.3.4
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	opencdk-devel >= %{opencdk_version}
Requires:	libgcrypt-devel >= %{libgcrypt_version}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-included-libtasn1=no \
	--with-included-libcfg=yes \
	--with-lzo \
	--with-libz-prefix=%{_prefix} \
	--with-libgcrypt \
	--with-libgcrypt-prefix=%{_prefix} \
	--with-libtasn1-prefix=%{_prefix} \
%ifnarch %arm %mips
	--enable-valgrind-tests \
%endif
	--disable-rpath \
	--disable-guile

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

%clean
rm -rf %{buildroot}

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_mandir}/man?/*
%{_infodir}/gnutls*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls


%changelog

* Sun Dec 11 2011 fwang <fwang> 2.10.5-2.1.mga1
+ Revision: 180759
- sync with upstream branch fixes.
- add upstream patch to fix CVE-2011-4128: Possible buffer overflow/Denial of service

* Thu Mar 24 2011 boklm <boklm> 2.10.5-2.mga1
+ Revision: 76149
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.10.5-1.mga1
+ Revision: 74054
- new version 2.10.5
- drop buildroot definition

* Wed Jan 12 2011 ahmad <ahmad> 2.10.4-2.mga1
+ Revision: 6790
- drop old/unneeded scriptlets
- imported package gnutls

